import {
  rectificationState
} from '@/assets/js/blockSort'
export const employee = () => {
  return [{
    field: 'index',
    label: '编号',
    align: 'center',
  }, {
    field: 'customer.name',
    operation: true,
    label: '客户姓名',
    align: 'center',
  }, {
    field: 'user.nickName',
    label: '检查人',
    align: 'center',
  }, {
    field: 'createdAt',
    label: '检查时间',
    align: 'center',
  }, {
    field: 'state',
    label: '状态',
    align: 'center',
    options: rectificationState(),
  }, {
    field: 'action',
    label: '操作',
    colWidth: '200px',
    align: 'center',
    labelButton: [{
      type: 'edit',
      label: '编辑',
      icon: 'el-icon-edit',
      style: 'primary',
    }, {
      type: 'logs',
      label: '查看',
      icon: 'el-icon-tickets',
      style: 'info',
    }]
  }]
}

export const formRules = () => {
  return [{
    field: 'name',
    label: '客户姓名',
    type: 'input',
    value: '归属地'
  }, {
    field: 'nickName',
    label: '检查人',
    type: 'input',
    value: '公认为'
  }, {
    field: 'homeCheckImg',
    type: 'image',
    label: '入户检查图片',
    options: []
  }, {
    field: 'signImg',
    type: 'image',
    label: '送气员签字图片',
    options: []
  }, {
    field: 'beforeRectifyImg',
    type: 'image',
    label: '整改前图片',
    options: []
  }, {
    field: 'afterRectifyImg',
    type: 'image',
    label: '整改后图片',
    options: []
  }, {
    field: 'state',
    label: '状态',
    type: 'radio',
    value: '0'
  }, {
    field: 'remark',
    label: '备注',
    type: 'input',
    value: ''
  }]
}
