import {
  neurogen,
  attribution,
  cylinderCondition,
  havenot,
  remould,
  missing,
  statisticalState
} from '@/assets/js/blockSort'
export const employee = () => {
  return [{
    field: 'index',
    label: '编号',
    align: 'center',
  }, {
    field: 'inner_code',
    label: '单位内编号',
    align: 'center',
    colWidth: '180px',
  }, {
    field: 'uid',
    label: '高频编码',
    align: 'center',
    colWidth: '180px',
  }, {
    field: 'status',
    label: '状态',
    align: 'center',
    colWidth: '150px',
  }, {
    field: 'station_name',
    label: '上次充装气站',
    align: 'center',
    colWidth: '200px',
  }, {
    field: 'fill_time',
    label: '上次充装时间',
    align: 'center',
    colWidth: '200px',
  }, {
    field: 'register_supervise_name',
    label: '使用登记审批单位',
    align: 'center',
    colWidth: '220px',
  }, {
    field: 'register_time',
    label: '使用登记日期',
    align: 'center',
    colWidth: '200px',
  }, {
    field: 'pro_variety',
    label: '设备品种',
    align: 'center',
    colWidth: '160px',
  }, {
    field: 'enterprise_name',
    label: '产权单位',
    align: 'center',
    colWidth: '230px',
  }, {
    field: 'pro_name',
    label: '产品名称',
    align: 'center',
    colWidth: '150px',
  }, {
    field: 'pro_no',
    label: '(出厂)编号',
    align: 'center',
    colWidth: '200px',
  }, {
    field: 'fill_media',
    label: '充装介质',
    align: 'center',
    colWidth: '200px',
  }, {
    field: 'make_unit',
    label: '制造单位',
    align: 'center',
    colWidth: '200px',
  }, {
    field: 'make_time',
    label: '生产日期',
    align: 'center',
    colWidth: '200px',
  }, {
    field: 'work_pressure',
    label: '公称工作压力（MPa）',
    align: 'center',
    colWidth: '200px',
  }, {
    field: 'volume',
    label: '容积（L）',
    align: 'center',
    colWidth: '100px',
  }, {
    field: 'check_time',
    label: '最近一次检验日日期',
    align: 'center',
    colWidth: '200px',
  }, {
    field: 'next_check_time',
    label: '下次检验日期',
    align: 'center',
    colWidth: '200px',
  }, {
    field: 'action',
    label: '操作',
    colWidth: '230px',
    align: 'center',
    labelButton: [{
      type: 'logs',
      label: '查看',
      icon: 'el-icon-tickets',
      style: 'info',
    }, {
      type: 'edit',
      label: '编辑',
      icon: 'el-icon-edit',
      style: 'primary',
    }, {
      type: 'del',
      label: '删除',
      icon: 'el-icon-tickets',
      style: 'danger',
    }]
  }]
}

export const cylinderformRules = () => {
  return [{
    field: 'inner_code',
    label: '单位内编号',
    placeholder: '单位内编号',
    type: 'input',
    colWidth: 12,
    rules: [{
      required: true,
      message: '请输入单位内编号',
      trigger: 'blur'
    }]
  }, {
    field: 'status',
    label: '状态',
    placeholder: '状态',
    type: 'input',
    colWidth: 12,
    rules: [{
      required: true,
      message: '请输入状态',
      trigger: 'blur'
    }]
  }, {
    field: 'uid',
    label: '高频编码',
    placeholder: '高频编码',
    type: 'input',
    colWidth: 12,
    rules: [{
      required: false,
      message: '请输入高频编码',
      trigger: 'blur'
    }]
  }, {
    field: 'station_name',
    label: '上次充装气站',
    placeholder: '上次充装气站',
    type: 'input',
    colWidth: 12,
  }, {
    field: 'fill_time',
    label: '上次充装时间',
    placeholder: '上次充装时间',
    type: 'datetime',
    colWidth: 12,
  }, {
    field: 'register_supervise_name',
    label: '使用登记审批单位',
    placeholder: '使用登记审批单位',
    type: 'input',
    colWidth: 12,
  }, {
    field: 'register_time',
    label: '使用登记日期',
    placeholder: '使用登记日期',
    type: 'datetime',
    colWidth: 12,
  }, {
    field: 'pro_variety',
    label: '设备品种',
    placeholder: '设备品种',
    type: 'input',
    colWidth: 12,
  }, {
    field: 'enterprise_name',
    label: '产权单位',
    placeholder: '产权单位',
    type: 'input',
    colWidth: 12,
  }, {
    field: 'pro_name',
    label: '产品名称',
    placeholder: '产品名称',
    type: 'input',
    colWidth: 12,
  }, {
    field: 'pro_no',
    label: '(出厂)编号',
    placeholder: '(出厂)编号',
    type: 'input',
    colWidth: 12,
  }, {
    field: 'fill_media',
    label: '充装介质',
    placeholder: '充装介质',
    type: 'input',
    colWidth: 12,
  }, {
    field: 'make_unit',
    label: '制造单位',
    placeholder: '制造单位',
    type: 'input',
    colWidth: 12,
  }, {
    field: 'make_time',
    label: '生产日期',
    placeholder: '生产日期',
    type: 'time',
    colWidth: 12,
  }, {
    field: 'work_pressure',
    label: '公称工作压力（MPa）',
    placeholder: '公称工作压力（MPa）',
    type: 'input',
    colWidth: 12,
  }, {
    field: 'volume',
    label: '容积（L）',
    placeholder: '容积（L）',
    type: 'input',
    colWidth: 12,
  }, {
    field: 'check_time',
    label: '最近一次检验日日期',
    placeholder: '最近一次检验日日期',
    type: 'time',
    colWidth: 12,
  }, {
    field: 'next_check_time',
    label: '下次检验日期',
    placeholder: '下次检验日期',
    type: 'time',
    colWidth: 12,
  }]
}
