import {
  whether,
  intact,
  normal
} from '@/assets/js/blockSort'
export const employee = () => {
  return [{
      field: 'index',
      label: '编号',
      align: 'center',
    }, {
      field: 'operationLogId',
      label: '操作编码',
      align: 'center',
      colWidth: '200px',
    },
    // {
    //   field: 'storeId',
    //   label: '所属单位',
    //   align: 'center',
    //   colWidth: '200px',
    // },
    {
      field: 'innerCode',
      label: '单位内编号',
      align: 'center',
      colWidth: '200px',
    }, {
      field: 'deadWeight',
      label: '气瓶自重（kg）',
      align: 'center',
      colWidth: '200px',
    }, {
      field: 'color',
      label: '颜色',
      align: 'center',
      colWidth: '100px',
    }, {
      field: 'corrosion',
      label: '是否腐蚀',
      align: 'center',
      colWidth: '100px',
      options: whether(),
    }, {
      field: 'crackle',
      label: '是否有裂纹',
      align: 'center',
      colWidth: '100px',
      options: whether(),
    }, {
      field: 'deform',
      label: '是否变形',
      align: 'center',
      colWidth: '100px',
      options: whether(),
    }, {
      field: 'damage',
      label: '是否有损伤',
      align: 'center',
      colWidth: '100px',
      options: whether(),
    }, {
      field: 'safeAnnex',
      label: '安全附件完好',
      align: 'center',
      colWidth: '100px',
      options: intact(),
    }, {
      field: 'gasPressure',
      label: '余压正常(或抽真空)',
      align: 'center',
      colWidth: '120px',
      options: normal(),
    }, {
      field: 'pipePressure',
      label: '充装管道压力(MPa)',
      align: 'center',
      colWidth: '120px',
    }, {
      field: 'bodyDeform',
      label: '瓶体有无变形',
      align: 'center',
      colWidth: '100px',
      options: whether(),
    }, {
      field: 'fillingLeak',
      label: '充装过程有无泄漏',
      align: 'center',
      colWidth: '100px',
      options: whether(),
    }, {
      field: 'bodyTemperature',
      label: '瓶体温度正常',
      align: 'center',
      colWidth: '100px',
      options: normal(),
    }, {
      field: 'fillWeight',
      label: '充装重量(kg)',
      align: 'center',
      colWidth: '120px',
    }, {
      field: 'repeatWeight',
      label: '复称重量(kg)',
      align: 'center',
      colWidth: '120px',
    }, {
      field: 'filledLeak',
      label: '充装后有无泄漏',
      align: 'center',
      colWidth: '100px',
      options: whether(),
    }, {
      field: 'warnSign',
      label: '警示标志完好',
      align: 'center',
      colWidth: '100px',
      options: intact(),
    }, {
      field: 'fillLabel',
      label: '充装标签完好',
      align: 'center',
      options: intact(),
    }, {
      field: 'seal',
      label: '封口完好',
      align: 'center',
      colWidth: '100px',
      options: intact(),
    }, {
      field: 'nickName',
      label: '操作员',
      align: 'center',
      colWidth: '120px',
    }
  ]
}
export const formRules = () => {
  return [{
    field: 'pro_variety',
    label: '单位内编号 :',
    type: 'descriptions',
    colWidth: 12,
  }, {
    field: 'pro_name',
    label: '气瓶自重 :',
    type: 'descriptions',
    colWidth: 12,
  }, {
    field: 'pro_no',
    label: '颜色 :',
    type: 'descriptions',
    colWidth: 12,
  }, {
    field: 'T_sn',
    label: '1、充装管道压力',
    placeholder: '充装管道压力',
    type: 'input',
    colWidth: 12,
    unit: 'MPa',
    rules: [{
      required: true,
      message: '请输入充装管道压力',
      trigger: 'blur'
    }]
  }, {
    field: 'T_sn',
    label: '2、充装重量',
    placeholder: '充装重量',
    type: 'input',
    colWidth: 12,
    unit: 'kg',
    rules: [{
      required: true,
      message: '请输入充装重量',
      trigger: 'blur'
    }]
  }, {
    field: 'T_sn',
    label: '3、复称重量',
    placeholder: '复称重量',
    type: 'input',
    colWidth: 12,
    unit: 'kg',
    rules: [{
      required: true,
      message: '请输入复称重量',
      trigger: 'blur'
    }]
  }, {
    field: 'T_name',
    label: '4、是否腐蚀',
    type: 'radio',
    colWidth: 12,
    rules: [{
      required: true,
      message: '请选择是否腐蚀',
      trigger: 'change'
    }],
    options: [{
        label: '无',
        value: "1",
      },
      {
        label: '有',
        value: "2",
      }
    ]
  }, {
    field: 'T_name',
    label: '5、是否有裂纹',
    type: 'radio',
    colWidth: 12,
    rules: [{
      required: true,
      message: '请选择是否有裂纹',
      trigger: 'change'
    }],
    options: [{
        label: '无',
        value: "1",
      },
      {
        label: '有',
        value: "2",
      }
    ]
  }, {
    field: 'T_name',
    label: '6、是否变形',
    type: 'radio',
    colWidth: 12,
    rules: [{
      required: true,
      message: '请选择是否变形',
      trigger: 'change'
    }],
    options: [{
        label: '无',
        value: "1",
      },
      {
        label: '有',
        value: "2",
      }
    ]
  }, {
    field: 'T_name',
    label: '7、是否有损伤',
    type: 'radio',
    colWidth: 12,
    rules: [{
      required: true,
      message: '请选择是否有损伤',
      trigger: 'change'
    }],
    options: [{
        label: '无',
        value: "1",
      },
      {
        label: '有',
        value: "2",
      }
    ]
  }, {
    field: 'T_name',
    label: '8、安全附件完好',
    type: 'radio',
    colWidth: 12,
    rules: [{
      required: true,
      message: '请选择安全附件完好状态',
      trigger: 'change'
    }],
    options: [{
        label: '无',
        value: "1",
      },
      {
        label: '有',
        value: "2",
      }
    ]
  }, {
    field: 'T_name',
    label: '9、余压正常（或抽真空）',
    type: 'radio',
    colWidth: 12,
    rules: [{
      required: true,
      message: '请选择余压状态',
      trigger: 'change'
    }],
    options: [{
        label: '正常',
        value: "1",
      },
      {
        label: '不正常',
        value: "2",
      }
    ]
  }, {
    field: 'T_name',
    label: '10、瓶体有无变形',
    type: 'radio',
    colWidth: 12,
    rules: [{
      required: true,
      message: '请选择瓶体有无变形',
      trigger: 'change'
    }],
    options: [{
        label: '无',
        value: "1",
      },
      {
        label: '有',
        value: "2",
      }
    ]
  }, {
    field: 'T_name',
    label: '11、充装过程有无泄漏',
    type: 'radio',
    colWidth: 12,
    rules: [{
      required: true,
      message: '请选择充装过程有无泄漏',
      trigger: 'change'
    }],
    options: [{
        label: '无',
        value: "1",
      },
      {
        label: '有',
        value: "2",
      }
    ]
  }, {
    field: 'T_name',
    label: '12、瓶体温度正常',
    type: 'radio',
    colWidth: 12,
    rules: [{
      required: true,
      message: '请选择瓶体温度正常状态',
      trigger: 'change'
    }],
    options: [{
        label: '正常',
        value: "1",
      },
      {
        label: '不正常',
        value: "2",
      }
    ]
  }, {
    field: 'T_name',
    label: '13、充装后有无泄漏',
    type: 'radio',
    colWidth: 12,
    rules: [{
      required: true,
      message: '请选择充装后有无泄漏',
      trigger: 'change'
    }],
    options: [{
        label: '无',
        value: "1",
      },
      {
        label: '有',
        value: "2",
      }
    ]
  }, {
    field: 'T_name',
    label: '14、警示标志完好',
    type: 'radio',
    colWidth: 12,
    rules: [{
      required: true,
      message: '请选择警示标志完好状态',
      trigger: 'change'
    }],
    options: [{
        label: '完好',
        value: "1",
      },
      {
        label: '缺失',
        value: "2",
      }
    ]
  }, {
    field: 'T_name',
    label: '15、充装标签完好',
    type: 'radio',
    colWidth: 12,
    rules: [{
      required: true,
      message: '请选择充装标签完好状态',
      trigger: 'change'
    }],
    options: [{
        label: '完好',
        value: "1",
      },
      {
        label: '缺失',
        value: "2",
      }
    ]
  }, {
    field: 'T_name',
    label: '16、封口完好',
    type: 'radio',
    colWidth: 12,
    rules: [{
      required: true,
      message: '请选择封口完好状态',
      trigger: 'change'
    }],
    options: [{
        label: '完好',
        value: "1",
      },
      {
        label: '缺失',
        value: "2",
      }
    ]
  }, ]
}
